[Deprecated]: v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/visits/subjectvisit

Deprecated: Use latest version instead. Retrieves a visit by its visit ID. Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    B1B8327AFAA6412287106192AB5984EF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : Response
Type: object
Show Source
Nested Schema : allowedMethods
Type: array
Unique Items Required: true
Show Source
Nested Schema : cookies
Type: object
Additional Properties Allowed
Show Source
Nested Schema : entity
Type: object
Nested Schema : EntityTag
Type: object
Show Source
Nested Schema : headers
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : language
Type: object
Show Source
Nested Schema : MediaType
Type: object
Show Source
Nested Schema : metadata
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : StatusType
Type: object
Show Source
Nested Schema : stringHeaders
Type: object
Additional Properties Allowed
Show Source Show Source
Nested Schema : NewCookie
Type: object
Show Source
Nested Schema : additionalProperties
Type: array
Show Source
Nested Schema : items
Type: object
Nested Schema : extensionKeys
Type: array
Unique Items Required: true
Show Source
Nested Schema : unicodeLocaleAttributes
Type: array
Unique Items Required: true
Show Source
Nested Schema : unicodeLocaleKeys
Type: array
Unique Items Required: true
Show Source
Nested Schema : UriBuilder
Type: object
Nested Schema : parameters
Type: object
Additional Properties Allowed
Show Source
Nested Schema : additionalProperties
Type: array
Show Source
Nested Schema : items
Type: object
Nested Schema : additionalProperties
Type: array
Show Source
Examples

400 Response

Invalid subject
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

Invalid study ID or version OR Visit for subject does not exist.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top